package com.sinaapp.bashell.sayhi;

import com.sinaapp.bashell.sayhi.RtmpClient.OnConnListener;

import android.app.Activity;
import android.os.Bundle;
import android.view.Menu;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.EditText;

public class MainActivity extends Activity {
	private Button startBtn, stopBtn;
	private EditText serverEdt, myStreamEdt, toStreamEdt;
	private RtmpClient playRtmpClient = new RtmpClient();
	private RtmpClient publishRtmpClient = new RtmpClient();

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);
		initView();

	}

	private void initView() {
		startBtn = (Button) findViewById(R.id.button1);
		stopBtn = (Button) findViewById(R.id.button2);
		serverEdt = (EditText) findViewById(R.id.editText1);
		myStreamEdt = (EditText) findViewById(R.id.editText2);
		toStreamEdt = (EditText) findViewById(R.id.editText3);

		startBtn.setOnClickListener(new OnClickListener() {

			@Override
			public void onClick(View v) {
				final String server = serverEdt.getText().toString().trim();
				final String myStream = myStreamEdt.getText().toString().trim();
				final String toStream = toStreamEdt.getText().toString().trim();
				new Thread(new Runnable() {

					@Override
					public void run() {
						publishRtmpClient.connect(server, myStream);
						publishRtmpClient.setOnConnListener(new OnConnListener() {
							
							@Override
							public void onConnectSuccess() {
								publishRtmpClient.publish();
							}
						});
					}
				}).start();
				new Thread(new Runnable() {

					@Override
					public void run() {
						playRtmpClient.connect(server, toStream);
						playRtmpClient.setOnConnListener(new OnConnListener() {
							@Override
							public void onConnectSuccess() {
								playRtmpClient.play();
							}
						});
					}
				}).start();

			}
		});
		stopBtn.setOnClickListener(new OnClickListener() {
			@Override
			public void onClick(View v) {
				playRtmpClient.disConnect();
				publishRtmpClient.disConnect();
			}
		});
	}

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		getMenuInflater().inflate(R.menu.activity_main, menu);
		return true;
	}

}
